# Docker compose for Infection Monkey

Steps to execute **before** running containers:

1. Create the folder: ``` mkdir -m=700 monkey_island_data```
2. Inside folder ```monkey_island_data``` create the file ```server_settings.json``` with the following content:
```json
{
  "data_dir": "/monkey_island_data",
        "mongodb": {
            "start_mongodb": false
        },
  "ssl_certificate": {
        "ssl_certificate_file": "/monkey_island_data/cert.crt",
        "ssl_certificate_key_file": "/monkey_island_data/cert.key"
    }
}
```
If you are not goin to use your own certificate, you can delete the ```ssl_certificate``` section.

3. You can run ```docker compose up -d```

[Source](https://techdocs.akamai.com/infection-monkey/docs/docker)